Get and/or set the current session save path

- « session_reset

- session_set_cookie_params »

- PHP Manual
- Session Functions
- Get and/or set the current session save path

# session_save_path

(PHP 4, PHP 5, PHP 7, PHP 8)

session_save_path — Get and/or set the current session save path

### Description

session_save_path(?string `$path` = `null`): string|false

session_save_path() returns the path of the current directory used to save session data.

### Parameters

`path`

  Session data path. If specified and not `null`, the path to which data is saved will be changed. session_save_path() needs to be called before session_start() for that purpose.

  > Note:

  > On some operating systems, you may want to specify a path on a filesystem that handles lots of small files efficiently.

### Return Values

Returns the path of the current directory used for data storage, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `path` is nullable now.

### See Also

- The session.save_path configuration directive